#ifndef RUNACTIONBASIC_HH
#define RUNACTIONBASIC_HH

#include "G4UserRunAction.hh"

class G4Run;
class ActionCommonVariable;
class TDataInitializerInterface;

class TFile;

class RunActionBasic : public G4UserRunAction
{
public:
  RunActionBasic(TDataInitializerInterface* dataInitializerInterface);
  virtual ~RunActionBasic();

  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);

protected:
  ActionCommonVariable* fActionCommonVariable;
  TDataInitializerInterface* fDataInitializerInterface;

  TFile* fFileOut;
};

#endif

