#ifndef TDATAINITIALIZERNEUTRONDETECTOR_HH
#define TDATAINITIALIZERNEUTRONDETECTOR_HH

#include "TObject.h"

#include "TDataInitializerInterface.hh"
#include "TSimulationDataScintillator.hh"

class TFile;
class TTree;

class TDataInitializerNeutronDetector : public TDataInitializerInterface
{
public:
  TDataInitializerNeutronDetector();
  virtual ~TDataInitializerNeutronDetector();
  
  virtual int Initialize();
  virtual int CreateBranch(TTree* tree);
  virtual int AddParameters(TFile* file);
  virtual int PrintParameters(TFile* file);

  virtual int ClearBuffer();

  ClassDef(TDataInitializerNeutronDetector, 1)
};

#endif
